commit 6561de33c3b184b039f79f49a5f1c949f9c6ecd5
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Jun 21 00:25:32 2024 +0100

    libstdc++: Qualify calls in <bits/stl_uninitialized.h> to prevent ADL
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/stl_uninitialized.h (uninitialized_default_construct)
            (uninitialized_default_construct_n, uninitialized_value_construct)
            (uninitialized_value_construct_n): Qualify calls to prevent ADL.
    
    (cherry picked from commit 09ca26cd24778e0820525edfac1cce07262f7e6c)

diff --git a/libstdc++-v3/include/bits/stl_uninitialized.h b/libstdc++-v3/include/bits/stl_uninitialized.h
index 7f84da31578..3c405d8fbe8 100644
--- a/libstdc++-v3/include/bits/stl_uninitialized.h
+++ b/libstdc++-v3/include/bits/stl_uninitialized.h
@@ -975,7 +975,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     uninitialized_default_construct(_ForwardIterator __first,
 				    _ForwardIterator __last)
     {
-      __uninitialized_default_novalue(__first, __last);
+      std::__uninitialized_default_novalue(__first, __last);
     }
 
   /**
@@ -989,7 +989,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     inline _ForwardIterator
     uninitialized_default_construct_n(_ForwardIterator __first, _Size __count)
     {
-      return __uninitialized_default_novalue_n(__first, __count);
+      return std::__uninitialized_default_novalue_n(__first, __count);
     }
 
   /**
@@ -1003,7 +1003,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     uninitialized_value_construct(_ForwardIterator __first,
 				  _ForwardIterator __last)
     {
-      return __uninitialized_default(__first, __last);
+      return std::__uninitialized_default(__first, __last);
     }
 
   /**
@@ -1017,7 +1017,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     inline _ForwardIterator
     uninitialized_value_construct_n(_ForwardIterator __first, _Size __count)
     {
-      return __uninitialized_default_n(__first, __count);
+      return std::__uninitialized_default_n(__first, __count);
     }
 
   /**

